MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003785ATutorSearchpublic2009-06-04 06:082009-07-21 08:50
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.2 
Target VersionFixed in Version1.6.3 
Summary0003785: Warning of deprecated call-time pass-by-reference
Descriptionhttp://www.atutor.ca/view/3/17629/1.html [^]

Call-time pass-by-reference has been deprecated in PHP. Remove pass-by-reference when calling functions get_forums_search_result() and get_content_search_result(). Only leave pass-by-reference parameters at defining these functions. This will get rid of this warning.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
related to 0003706closedcindy Call-time pass-by-reference has been deprecated 

-  Notes
(0003584)
cindy (administrator)
2009-06-04 06:11

SVN revision: 8523

Affected script: include/lib/search.inc.php

Solution: Remove pass-by-reference when calling functions get_forums_search_result() and get_content_search_result()

- Issue History
Date Modified Username Field Change
2009-06-04 06:08 cindy New Issue
2009-06-04 06:08 cindy Affects version => SVN
2009-06-04 06:11 cindy Status new => resolved
2009-06-04 06:11 cindy Fixed in Version => 1.6.2
2009-06-04 06:11 cindy Resolution open => fixed
2009-06-04 06:11 cindy Assigned To => cindy
2009-06-04 06:11 cindy Note Added: 0003584
2009-06-12 09:32 greg Status resolved => new
2009-06-12 09:33 greg Status new => resolved
2009-06-12 09:33 greg Fixed in Version 1.6.2 => 1.6.3
2009-07-21 08:50 greg Status resolved => closed
2009-12-15 09:08 cindy Relationship added related to 0003706


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker